<template>
  <user-center-layout :title="$t('deposit')">
    <div v-if="isLoading" class="flex w-full h-full">
      <div v-loading="isLoading" class="w-full px-5 py-32"></div>
    </div>
    <template v-else>
      <div
        v-if="!isBankMethodAvailabled"
        class="px-5 py-32 text-2xl flex justify-center"
      >
        <span>{{ $t("no_available_method_to_do_the_transaction") }}</span>
      </div>
      <template v-else>
        <div
          v-if="!isLoading"
          class="divider-x flex relative mx-auto customeBK8"
        >
          <aside class="min-w-[248px] w-3/12 bk8-scrollbar">
            <el-scrollbar>
              <div class="p-6 flex flex-col gap-4">
                <nuxt-link
                  v-if="isNormalBankMethodEnabled && isUfun"
                  to="/deposit/bank-transfer"
                  active-class="selected"
                >
                  <ui-check-button
                    :text="$t('bank_transfer')"
                    :img="
                      getAssetImage(
                        'assets/materials/paymentMethod/icon-bank-transfer@2x.png'
                      )
                    "
                  />
                </nuxt-link>
                <template v-if="isPaymentBankMethodEnabled">
                  <nuxt-link
                    v-for="paymentMethod in paymentBanks.PaymentMethodsForDeposit"
                    :key="paymentMethod.PaymentMethodId"
                    :to="'/deposit/payment-bank/' + paymentMethod.PaymentMethod"
                    active-class="selected"
                  >
                    <ui-check-button
                      :text="paymentMethod.PaymentMethodDisplayName"
                      :img="paymentMethod.PaymentMethodIconUrl"
                    />
                  </nuxt-link>
                </template>
                <nuxt-link
                  v-if="isNormalBankMethodEnabled && !isUfun"
                  to="/deposit/bank-transfer"
                  active-class="selected"
                >
                  <ui-check-button
                    :text="$t('bank_transfer')"
                    :img="
                      getAssetImage(
                        'assets/materials/paymentMethod/icon-bank-transfer@2x.png'
                      )
                    "
                  />
                </nuxt-link>
                <nuxt-link
                  v-if="isManualCryptoCurrencyEnabled"
                  to="/deposit/manual-crypto-currency"
                  active-class="selected"
                >
                  <ui-check-button
                    :text="$t('manual_crypto_currency')"
                    :img="
                      getAssetImage(
                        'assets/materials/paymentMethod/icon-manual-crypto-currency@2x.png'
                      )
                    "
                  />
                </nuxt-link>
                <nuxt-link
                  v-if="IsAutoDepositEnabled"
                  to="/deposit/auto-deposit"
                  active-class="selected"
                >
                  <ui-check-button
                    :text="$t('auto_deposit')"
                    :img="
                      getAssetImage(
                        'assets/materials/paymentMethod/icon-internet-banking@2x.png'
                      )
                    "
                  />
                </nuxt-link>
              </div>
            </el-scrollbar>
          </aside>
          <el-scrollbar class="w-9/12" height="724px">
            <div class="divider-y">
              <nuxt-page
                :payment-banks="paymentBanks"
                :normal-banks="normalBanks"
                :profile="profile"
                :manual-crypto-currency="manualCryptoCurrency"
              ></nuxt-page>
            </div>
          </el-scrollbar>
        </div>
      </template>
    </template>
  </user-center-layout>
</template>
<script lang="ts" setup>

const {
  paymentBanks,
  normalBanks,
  manualCryptoCurrency,
  isNormalBankMethodEnabled,
  isPaymentBankMethodEnabled,
  isManualCryptoCurrencyEnabled,
  isLoading,
  IsAutoDepositEnabled,
  isBankMethodAvailabled,
  isUfun,
} = useDeposit();
const { profile } = useProfile();
const { getAssetImage } = commonHelper;
</script>
<style scoped>
.uc-section :deep(.el-input__inner),
.uc-section :deep(.el-input-group__append) {
  background-color: var(--background5);
  color: var(--text5);
}
:deep(.company-bank-account .el-input__wrapper) {
  width: 98%;
}
.uc-section :deep(.company-bank-account-container .el-input-group__append) {
  background-color: var(--primary);
  border: unset;
  border-radius: 4px;
  box-shadow: none;
}
.uc-section :deep(.el-form-item__label) {
  color: var(--text5);
}
.uc-section :deep(.el-input__inner::placeholder) {
  color: var(--text5);
  opacity: 0.5;
}

.uc-section :deep(.el-input.is-disabled .el-input__inner) {
  --el-disabled-bg-color: var(--background1);
  --el-disabled-text-color: rgba(rgb(85, 100, 145), 0.7);
  -webkit-text-fill-color: var(--text5);
  opacity: 0.5;
}
</style>
